Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::pdf::TimeStampServer Class Reference
Inheritance diagram for foxit::pdf::TimeStampServer:

## Public Types
enum | SendRequestResult { e_SendResultSuccess = 0, e_SendResultFailToCreateSocket = 1, e_SendResultFailToConnect = 2, e_SendResultFailToSendData = 3, e_SendResultFailToReceiveData = 4, e_SendResultFailToRequest = 5, e_SendResultFailToGetData = 6, e_SendResultOutOfMemory = 7 }
| Enumeration for the result of sending time stamp request. More...

## Public Member Functions
| TimeStampServer (const TimeStampServer &other)
| Constructor, with another time stamp server object. More...
| ~TimeStampServer ()
| Destructor.
String | GetTimeStampMessage ()
| Get time stamp message. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const TimeStampServer &other) const
| Not equal operator. More...
TimeStampServer & | operator= (const TimeStampServer &other)
| Assign operator. More...
bool | operator== (const TimeStampServer &other) const
| Equal operator. More...
SendRequestResult | SendTimeStampRequest (const String &request)
| Send time stamp request. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents time stamp server. It can be used to send time stamp request and then get the message.

## Member Enumeration Documentation

## ◆ SendRequestResult

enum foxit::pdf::TimeStampServer::SendRequestResult

Enumeration for the result of sending time stamp request.

Values of this enumeration should be used alone.

Enumerator
e_SendResultSuccess | Send request successfully.
e_SendResultFailToCreateSocket | Fail to create socket during sending request process.
e_SendResultFailToConnect | Fail to connect during sending request process.
e_SendResultFailToSendData | Fail to send data during sending request process.
e_SendResultFailToReceiveData | Fail to receive data during sending request process.
e_SendResultFailToRequest | Fail to request during sending request process.
e_SendResultFailToGetData | Fail to get data during sending request process.
e_SendResultOutOfMemory | Out of memory during sending request process.

## Constructor & Destructor Documentation

## ◆ TimeStampServer()

foxit::pdf::TimeStampServer::TimeStampServer | ( | const TimeStampServer & | other | ) |

Constructor, with another time stamp server object.

Parameters

  [in] | other | Another time stamp server object.

## Member Function Documentation

## ◆ GetTimeStampMessage()

String foxit::pdf::TimeStampServer::GetTimeStampMessage | ( |  | ) |

Get time stamp message.

This function is to get the time stamp message after function TimeStampServer::SendTimeStampRequest runs successfully.

Returns
  Time stamp message.

## ◆ IsEmpty()

bool foxit::pdf::TimeStampServer::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::TimeStampServer::operator!= | ( | const TimeStampServer & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another time stamp server object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

TimeStampServer& foxit::pdf::TimeStampServer::operator= | ( | const TimeStampServer & | other | ) |

Assign operator.

Parameters

  [in] | other | Another time stamp server object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::TimeStampServer::operator== | ( | const TimeStampServer & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another time stamp server object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SendTimeStampRequest()

SendRequestResult foxit::pdf::TimeStampServer::SendTimeStampRequest | ( | const String & | request | ) |

Send time stamp request.

Parameters

  [in] | request | Time stamp request to be sent. It should not be an empty string.

Returns
  Result value of the sending request process. Please refer to values starting from TimeStampServer::e_SendResultSuccess and this would be one of these values.